/***************************************************************************
 *   Copyright 2008 by Jaroslav Reznik <rezzabuh@gmail.com> *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA .        *
 ***************************************************************************/

#ifndef atips_HEADER
#define atips_HEADER

#include <Plasma/Applet>
#include <Plasma/Svg>
#include <Plasma/DataEngine>
 
class QSizeF;
 
class atips : public Plasma::Applet
{
Q_OBJECT
public:
	atips(QObject *parent, const QVariantList &args);
	~atips();
	void paintInterface(QPainter *painter, const QStyleOptionGraphicsItem *option, const QRect& contentsRect);
	void init();
	void connectToEngine();
	QSizeF contentSizeHint() const;
	void constraintsUpdated(Plasma::Constraints constraints);
	Qt::Orientations expandingDirections() const;
public slots:
	void dataUpdated(const QString& source, const Plasma::DataEngine::Data &data);


private:
	QSizeF m_size;
	int m_powerstate;
	Plasma::Svg m_atipslogo_svg;
	Plasma::Svg m_atipsonbtn_svg;
	Plasma::Svg m_atipsoffbtn_svg;	
};
 
K_EXPORT_PLASMA_APPLET(atips, atips)
#endif
